import { PortState } from "./portState";
import { RootStore } from "./rootStore";
import { NodeState } from "./nodeState";
import { SuccessOrErrorResult } from "../utils/result";
import { Point } from "../utils/point";
export declare class Callbacks {
    private _validateLinkEndpoints?;
    private _nodesAdded?;
    private _nodePositionChanged?;
    private _nodeDragStateChanged?;
    private _rootStore;
    constructor(rootStore: RootStore);
    import: (callbacks?: ICallbacks | undefined) => void;
    export: () => {
        validateLinkEndpoints: ((source: PortState, target: PortState, rootStore: RootStore) => boolean) | undefined;
        nodesAdded: ((addResults: SuccessOrErrorResult<NodeState>[], importing: boolean, rootStore: RootStore) => void) | undefined;
        nodePositionChanged: ((node: NodeState, oldPosition: Point, newPosition: Point, isDragActive: boolean, rootStore: RootStore) => void) | undefined;
        nodeDragStateChanged: ((node: NodeState, isDragActive: boolean, rootStore: RootStore) => void) | undefined;
    };
    validateLinkEndpoints: (source: PortState, target: PortState) => boolean;
    nodesAdded: (addResults: SuccessOrErrorResult<NodeState>[], importing: boolean) => void | undefined;
    nodePositionChanged: (node: NodeState, oldPosition: Point, newPosition: Point, isDragActive: boolean) => void | undefined;
    nodeDragStateChanged: (node: NodeState) => void | undefined;
}
export interface ICallbacks {
    validateLinkEndpoints?: (source: PortState, target: PortState, rootStore: RootStore) => boolean;
    nodesAdded?: (addResults: SuccessOrErrorResult<NodeState>[], importing: boolean, rootStore: RootStore) => void;
    nodePositionChanged?: (node: NodeState, oldPosition: Point, newPosition: Point, isDragActive: boolean, rootStore: RootStore) => void;
    nodeDragStateChanged?: (node: NodeState, isDragActive: boolean, rootStore: RootStore) => void;
}
//# sourceMappingURL=callbacks.d.ts.map